<?php

namespace App\Repositories\Shop;

use App\Models\Shop\TariffUnity;

class TariffUnities
{
    public static function getOptions()
    {
        return TariffUnity::orderBy('id', 'asc')->pluck('value', 'id')->toArray();
    }

    public static function getAll()
    {
        return TariffUnity::orderBy('name', 'asc')->get();
    }

    public static function get($id)
    {
        return TariffUnity::find($id);
    }

    public static function store($data)
    {
        $id = isset($data['id']) ? $data['id'] : false;
        $item = $id ? self::update($data, $id) : self::create($data);
        return $item->id;
    }

    public static function create($data)
    {
        return TariffUnity::create($data);
    }

    public static function update($data, $id = false)
    {
        $id = $id ? $id : $data['id'];
        $item = self::get($id);
        $item->update($data);
        return $item;
    }

    public static function destroy($id)
    {
        return TariffUnity::destroy($id);
    }
}
